# Uses of Class
java.security.Signature

Packages that use Signature
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of Signature in java.security

Methods in java.security that return Signature
Modifier and Type
Method
Description
`static Signature`
Signature.`getInstance(String algorithm)`
Returns a `Signature` object that implements the specified signature algorithm.
`static Signature`
Signature.`getInstance(String algorithm, String provider)`
Returns a `Signature` object that implements the specified signature algorithm.
`static Signature`
Signature.`getInstance(String algorithm, Provider provider)`
Returns a `Signature` object that implements the specified signature algorithm.
Methods in java.security with parameters of type Signature
Modifier and Type
Method
Description
`boolean`
SignedObject.`verify(PublicKey verificationKey, Signature verificationEngine)`
Verifies that the signature in this `SignedObject` is the valid signature for the object stored inside, with the given verification key, using the designated verification engine.
Constructors in java.security with parameters of type Signature
Modifier
Constructor
Description
``
`SignedObject(Serializable object, PrivateKey signingKey, Signature signingEngine)`
Constructs a `SignedObject` from any Serializable object.